URLs by TS
curl --request GET \
--url https://app.onefirewall.com/api/v1/urls \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/urls"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"type": "URL",
"version": 4,
"ts": 1693519200,
"next_ts": 1695919395,
"page_size": 100,
"user": {
"guid": "OFA-GUID-3256-FDGS-OODP",
"name": "Name",
"surname": "Surname",
"username": "[email protected]",
"role": 0,
"unsuccessful_login": 0,
"member_of": {
"gid": "OFA-GID-jkbjhvhjg",
"name": "Org1",
"trust": 0.85,
"delay": "0",
"credit_tokens": 2000000000,
"debit_tokens": 1888963
}
}
},
"body": [
{
"url": "http://www.almaservice.it",
"score": 54,
"ts": 1695896501,
"total_reports": 1,
"total_members": 1,
"tags": [
"MARAVENTO",
"OneFirewall"
],
"elk_ts": "2023-09-28T10:21:41.000Z",
"elk_entry_ts": "2023-09-28T10:21:41.000Z",
"entry_ts": 1695896501
},
{
"url": "http://www.gothamserver.net",
"score": 54,
"ts": 1695898867,
"total_reports": 1,
"total_members": 1,
"tags": [
"MARAVENTO",
"OneFirewall"
],
"elk_ts": "2023-09-28T11:01:07.000Z",
"elk_entry_ts": "2023-09-28T11:01:07.000Z",
"entry_ts": 1695898867
}
]
}URL Feeds
URLs by TS
Retrieve the latest malicious url recorded
GET
/
urls
URLs by TS
Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Authorizations
Authorization Token
Query Parameters
Latest updates starting from this timestamp
Maximum size to return
Required range:
100 < x < 2000Response
200 - application/json
The request was received and processed successfully
The response is of type string.
⌘I

